#!/usr/bin/perl --

# bindefeld 0.1.0
# Ulf Härnhammar 2004
# Detta program placeras härmed i Public Domain.

$forminskanastarad = 0;
# 1 eller 0, beroende på om man vill konvertera "Väst-Tyskland" till
# "Västtyskland" (1) eller "VästTyskland" (0)

$next = '';

# loopa över alla rader som skickas till STDIN

while (<>)
{

# ta bort CR och LF

  tr/\015\012//d;

# fånga upp vänstermarginalen

  $marg = '';
  if (s/^(\s+)//)
  { $marg = $1; }

# ta bort avstavade ord, på slutet av rad (eventuellt med extra mellanrum
# efteråt)

  $changed = 0;
  if (s/\s+(\w+)-\s*$//)
  { $changed = 1; }

# förminska första bokstaven på aktuell rad, om man har slagit på det ovan
# och man befinner sig på en avstavad rad

  if (($forminskanastarad) and
      ($next ne ''))
  { s/^(\w)/lc $1/e; }

# konstruera en ny rad

  $print = "$marg$next$_";

# spara det avstavade ordet till nästa loopgenomgång

  $next = '';
  $next = $1 if $changed == 1;

# skriv ut den konstruerade raden
  
  print "$print\n";
} # while (<>)

# skriv ut eventuellt avstavat ord på sista raden
# (inklusive vänstermarginal)

print "$marg$next-\n" if $next ne '';

__END__
